Package org.springframework.security.authorization.method

# Enum Class AuthorizationInterceptorsOrder

java.lang.Object
java.lang.Enum<AuthorizationInterceptorsOrder>
org.springframework.security.authorization.method.AuthorizationInterceptorsOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthorizationInterceptorsOrder>`, `Constable`

public enum AuthorizationInterceptorsOrder extends Enum<AuthorizationInterceptorsOrder>
Ordering of Spring Security's authorization `Advisor`s

Since:
  5.6
See Also:
  - `PreAuthorizeAuthorizationManager`
  - `PostAuthorizeAuthorizationManager`
  - `SecuredAuthorizationManager`
  - `Jsr250AuthorizationManager`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST`
`JSR250`
`LAST`
`POST_AUTHORIZE`
`POST_FILTER`
`PostFilterAuthorizationMethodInterceptor`
`PRE_AUTHORIZE`
`PRE_FILTER`
`PreFilterAuthorizationMethodInterceptor`
`SECURE_RESULT`
`SECURED`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`static AuthorizationInterceptorsOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthorizationInterceptorsOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST

public static final AuthorizationInterceptorsOrder FIRST

### PRE_FILTER

public static final AuthorizationInterceptorsOrder PRE_FILTER
`PreFilterAuthorizationMethodInterceptor`

### PRE_AUTHORIZE

public static final AuthorizationInterceptorsOrder PRE_AUTHORIZE

### SECURED

public static final AuthorizationInterceptorsOrder SECURED

### JSR250

public static final AuthorizationInterceptorsOrder JSR250

### SECURE_RESULT

public static final AuthorizationInterceptorsOrder SECURE_RESULT

### POST_AUTHORIZE

public static final AuthorizationInterceptorsOrder POST_AUTHORIZE

### POST_FILTER

public static final AuthorizationInterceptorsOrder POST_FILTER
`PostFilterAuthorizationMethodInterceptor`

### LAST

public static final AuthorizationInterceptorsOrder LAST

## Method Details

### values

public static AuthorizationInterceptorsOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthorizationInterceptorsOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getOrder

public int getOrder()